import React, { useState } from "react";
import { Form, Icon, Popup } from "semantic-ui-react";
/**
 * Password component
 * @param props
 */
export const Password = (props) => {
    const [isShow, setIsShow] = useState(false);
    return (React.createElement(Form.Input, Object.assign({}, props, { label: props.label, value: props.value, error: props.error, type: isShow ? "text" : props.type, placeholder: props.placeholder, name: props.name, width: props.width, onBlur: props.onBlur, onChange: props.onChange, icon: (React.createElement(Popup, { trigger: (React.createElement(Icon, { name: !isShow ? "eye" : "eye slash", disabled: !props.value, link: true, onClick: () => { setIsShow(!isShow); } })), position: "top center", content: !isShow
                ? props.showPassword
                : props.hidePassword, inverted: true })), autoFocus: props.autoFocus || false, readOnly: props.readOnly, disabled: props.disabled, required: props.required })));
};
//# sourceMappingURL=password.js.map